Package org.apache.lucene.util.hnsw

# Interface CloseableRandomVectorScorerSupplier

All Superinterfaces:
  `AutoCloseable`, `Closeable`, `RandomVectorScorerSupplier`

public interface CloseableRandomVectorScorerSupplier extends Closeable, RandomVectorScorerSupplier
A supplier that creates `RandomVectorScorer` from an ordinal. Caller should be sure to close after use

NOTE: the `RandomVectorScorerSupplier.copy()` returned `RandomVectorScorerSupplier` is not necessarily closeable

## Method Summary

Modifier and Type
Method
Description
`int`
`totalVectorCount()`

### Methods inherited from interface java.io.Closeable

`close`

### Methods inherited from interface org.apache.lucene.util.hnsw.RandomVectorScorerSupplier

`copy, scorer`

## Method Details

### totalVectorCount

int totalVectorCount()